# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name shakespeare

# common part of summary for all the subpackages
%global common_summary Haskell compile-time templating library

# main description used for all the subpackages
%global common_description Shakespeare is a template family for type-safe, efficient templates\
with simple variable interpolation . Shakespeare templates can be used\
inline with a quasi-quoter or in an external file. Shakespeare\
interpolates variables according to the type being inserted.

Name:           ghc-%{pkg_name}
Version:        0.10.0
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-blaze-html-devel, ghc-failure-devel, ghc-parsec-devel, ghc-process-devel, ghc-template-haskell-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-shakespeare.files, ghc-shakespeare-devel.files
%ghc_lib_package


%changelog
* Wed Sep  7 2011 Jens Petersen <petersen@redhat.com> - 0.10.0-1
- BSD license; deps

* Wed Sep  7 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.10.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23.2
